Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class NumericMaximumConstraint

    java.lang.Object
      edu.stanford.smi.protege.model.AbstractFacetConstraint
          edu.stanford.smi.protege.model.NumericMaximumConstraint

All Implemented Interfaces:
  FacetConstraint, Serializable

    public class NumericMaximumConstraint

extends AbstractFacetConstraint

Constraint on the maximum value of a slot. This only has meaning for Integer and Float slots.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`NumericMaximumConstraint()`

Method Summary
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection slotValues, Collection facetValues)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object value, Collection facetValues)`
`Collection` | `resolve(Collection existingValues, Collection newValues)`

Methods inherited from class edu.stanford.smi.protege.model.AbstractFacetConstraint
`areValidValues, equals, isValidValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericMaximumConstraint

    public NumericMaximumConstraint()

Method Detail

### getInvalidValuesText

    public String getInvalidValuesText(Frame frame,
                                       Slot slot,
                                       Collection slotValues,
                                       Collection facetValues)

### getInvalidValueText

    public String getInvalidValueText(Frame frame,
                                      Slot slot,
                                      Object value,
                                      Collection facetValues)

### resolve

    public Collection resolve(Collection existingValues,
                              Collection newValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.